package com.zd.airbottle.service.impl;

import java.util.List;


import com.zd.airbottle.domain.vo.QpAirGoodsConfigRelationVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zd.airbottle.mapper.QpQualificationApplyDetailMapper;
import com.zd.airbottle.domain.QpQualificationApplyDetail;
import com.zd.airbottle.service.IQpQualificationApplyDetailService;

/**
 * 资格申请详情Service业务层处理
 *
 * @author zd
 * @date 2022-05-10
 */
@Service
public class QpQualificationApplyDetailServiceImpl implements IQpQualificationApplyDetailService
{
    @Autowired
    private QpQualificationApplyDetailMapper qpQualificationApplyDetailMapper;

    /**
     * 查询资格申请详情
     *
     * @param id 资格申请详情主键
     * @return 资格申请详情
     */
    @Override
    public QpQualificationApplyDetail selectQpQualificationApplyDetailById(Long id)
    {
        return qpQualificationApplyDetailMapper.selectQpQualificationApplyDetailById(id);
    }

    /**
     * 查询资格申请详情列表
     *
     * @param qpQualificationApplyDetail 资格申请详情
     * @return 资格申请详情
     */
    @Override
    public List<QpQualificationApplyDetail> selectQpQualificationApplyDetailList(QpQualificationApplyDetail qpQualificationApplyDetail)
    {
        return qpQualificationApplyDetailMapper.selectQpQualificationApplyDetailList(qpQualificationApplyDetail);
    }

    /**
     * 新增资格申请详情
     *
     * @param qpQualificationApplyDetail 资格申请详情
     * @return 结果
     */
    @Override
    public int insertQpQualificationApplyDetail(QpQualificationApplyDetail qpQualificationApplyDetail)
    {
        return qpQualificationApplyDetailMapper.insertQpQualificationApplyDetail(qpQualificationApplyDetail);
    }

    /**
     * 修改资格申请详情
     *
     * @param qpQualificationApplyDetail 资格申请详情
     * @return 结果
     */
    @Override
    public int updateQpQualificationApplyDetail(QpQualificationApplyDetail qpQualificationApplyDetail)
    {
        return qpQualificationApplyDetailMapper.updateQpQualificationApplyDetail(qpQualificationApplyDetail);
    }

    /**
     * 批量删除资格申请详情
     *
     * @param ids 需要删除的资格申请详情主键
     * @return 结果
     */
    @Override
    public int deleteQpQualificationApplyDetailByIds(Long[] ids)
    {
        return qpQualificationApplyDetailMapper.deleteQpQualificationApplyDetailByIds(ids);
    }

    /**
     * 删除资格申请详情信息
     *
     * @param id 资格申请详情主键
     * @return 结果
     */
    @Override
    public int deleteQpQualificationApplyDetailById(Long id)
    {
        return qpQualificationApplyDetailMapper.deleteQpQualificationApplyDetailById(id);
    }

    /***
     * 申请详情关联查询
     * @param id
     * @return
     */
    @Override
    public List<QpAirGoodsConfigRelationVo> selectQpQualificationApplyDetailListRelation(Long id) {
        List<QpAirGoodsConfigRelationVo> list = qpQualificationApplyDetailMapper.selectQpQualificationApplyDetailListRelation(id);
        return list;
    }
}
